获取威胁情报指示器
本文内容
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
检索 tiIndicator 对象的属性和关系。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
ThreatIndicators.ReadWrite.OwnedBy
委派(个人 Microsoft 帐户)
不支持。
应用程序
ThreatIndicators.ReadWrite.OwnedBy
HTTP 请求
GET /security/tiIndicators/{id}
可选的查询参数
此方法支持一些 OData 查询参数来帮助自定义响应。 有关一般信息,请参阅 OData Query Parameters 。
名称
说明
Authorization
Bearer {code}
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 响应代码和 200 OK tiIndicator 对象。
示例
请求
下面展示了示例请求。
GET https://graph.microsoft.com/beta/security/tiIndicators/{id}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var tiIndicator = await graphClient.Security.TiIndicators["{tiIndicator-id}"]
.Request()
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let tiIndicator = await client.api('/security/tiIndicators/{id}')
.version('beta')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/security/tiIndicators/{id}"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
MSGraphTiIndicator *tiIndicator = [[MSGraphTiIndicator alloc] initWithData:data error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
TiIndicator tiIndicator = graphClient.security().tiIndicators("{id}")
.buildRequest()
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
tiIndicatorId := "tiIndicator-id"
result, err := graphClient.Security().TiIndicatorsById(&tiIndicatorId).Get()
Import-Module Microsoft.Graph.Security
Get-MgSecurityTiIndicator -TiIndicatorId $tiIndicatorId
响应
下面展示了示例响应。
备注
为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"action": "action-value",
"activityGroupNames": [
"activityGroupNames-value"
],
"additionalInformation": "additionalInformation-value",
"azureTenantId": "azureTenantId-value",
"confidence": 99,
"description": "description-value"
}